ERROR

This error is not what we wanted to see. Unfortunately errors are part of all software systems and we need to resolve this together.

It is important to report this ERROR so we can fix it for everyone.

Report to the GeneNetwork team by recording the steps you take to reproduce this ERROR. Next to those steps, copy-paste below stack trace, either as a new issue or E-mail this full page to one of the developers directly.

(GeneNetwork error: (MySQLdb._exceptions.InternalError) (1, 'Can\'t create/write to file \'/export2/tmp/#sql_1f59a_0.MAI\' (Errcode: 30 "Read-only f)

    GeneNetwork tux01:gene:2.11-rc2-testing-cb9422ec5 http://gn1.genenetwork.org/snp_browser ( 7:27PM UTC Sep 26, 2021)
    (MySQLdb._exceptions.InternalError) (1, 'Can\'t create/write to file \'/export2/tmp/#sql_1f59a_0.MAI\' (Errcode: 30 "Read-only file system")')
[SQL: SHOW COLUMNS FROM SnpPattern;]
(Background on this error at: http://sqlalche.me/e/13/2j85) (error)
    sqlalchemy.exc.InternalError: (MySQLdb._exceptions.InternalError) (1, 'Can\'t create/write to file \'/export2/tmp/#sql_1f59a_0.MAI\' (Errcode: 30 "Read-only file system")')
    [SQL: SHOW COLUMNS FROM SnpPattern;]
  

To check if this already a known issue, search the issue tracker.

Toggle full stack trace
      GeneNetwork tux01:gene:2.11-rc2-testing-cb9422ec5  http://gn1.genenetwork.org/snp_browser ( 7:27PM UTC Sep 26, 2021)
       Traceback (most recent call last):
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1276, in _execute_context
           self.dialect.do_execute(
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/sqlalchemy/engine/default.py", line 593, in do_execute
           cursor.execute(statement, parameters)
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/MySQLdb/cursors.py", line 206, in execute
           res = self._query(query)
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/MySQLdb/cursors.py", line 319, in _query
           db.query(q)
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/MySQLdb/connections.py", line 259, in query
           _mysql.connection.query(self, query)
       MySQLdb._exceptions.InternalError: (1, 'Can\'t create/write to file \'/export2/tmp/#sql_1f59a_0.MAI\' (Errcode: 30 "Read-only file system")')
       
       The above exception was the direct cause of the following exception:
       
       Traceback (most recent call last):
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/flask/app.py", line 1950, in full_dispatch_request
           rv = self.dispatch_request()
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/flask/app.py", line 1936, in dispatch_request
           return self.view_functions[rule.endpoint](**req.view_args)
         File "/export/local/home/gn2/production/gene/wqflask/wqflask/views.py", line 1275, in snp_browser_page
           template_vars = snp_browser.SnpBrowser(request.args)
         File "/export/local/home/gn2/production/gene/wqflask/wqflask/snp_browser/snp_browser.py", line 16, in __init__
           self.strain_lists = get_browser_sample_lists()
         File "/export/local/home/gn2/production/gene/wqflask/wqflask/snp_browser/snp_browser.py", line 676, in get_browser_sample_lists
           results = g.db.execute(query).fetchall()
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 2235, in execute
           return connection.execute(statement, *multiparams, **params)
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1003, in execute
           return self._execute_text(object_, multiparams, params)
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1172, in _execute_text
           ret = self._execute_context(
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1316, in _execute_context
           self._handle_dbapi_exception(
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1510, in _handle_dbapi_exception
           util.raise_(
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/sqlalchemy/util/compat.py", line 182, in raise_
           raise exception
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/sqlalchemy/engine/base.py", line 1276, in _execute_context
           self.dialect.do_execute(
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/sqlalchemy/engine/default.py", line 593, in do_execute
           cursor.execute(statement, parameters)
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/MySQLdb/cursors.py", line 206, in execute
           res = self._query(query)
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/MySQLdb/cursors.py", line 319, in _query
           db.query(q)
         File "/export/local/home/zas1024/opt/gn2_20210817/lib/python3.8/site-packages/MySQLdb/connections.py", line 259, in query
           _mysql.connection.query(self, query)
       sqlalchemy.exc.InternalError: (MySQLdb._exceptions.InternalError) (1, 'Can\'t create/write to file \'/export2/tmp/#sql_1f59a_0.MAI\' (Errcode: 30 "Read-only file system")')
       [SQL: SHOW COLUMNS FROM SnpPattern;]
       (Background on this error at: http://sqlalche.me/e/13/2j85)